> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/creditcard/lookup.md).

# Lookup

Use this endpoint to read Fanatics credit card (Imprint) information for a profile. The `ID` path parameter is resolved internally to the corresponding account. This endpoint is only accessible if the CreditCard feature is enabled.

### Required Scopes

`profile_credit_card:read`

## Request

### URL

`GET /v2/profile/{ID}/creditcard`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User or server-to-server access Bearer token.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="200">Name</th><th>Description</th></tr></thead><tbody><tr><td>customer_id</td><td>Imprint customer identifier.</td></tr><tr><td>customer_status</td><td>Status of the Imprint customer.</td></tr><tr><td>card_status</td><td>Status of the credit card.</td></tr><tr><td>payment_method_id</td><td>Identifier of the payment method.</td></tr><tr><td>tokens</td><td>List of card tokens, each with a type and created/updated timestamps.</td></tr><tr><td>created_at</td><td>Timestamp when the record was created.</td></tr><tr><td>updated_at</td><td>Timestamp when the record was last updated.</td></tr></tbody></table>

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/creditcard" method="get" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
